Bug 99040 - kernel panic: page mapping still set, kernel BUG at page_alloc.c:122
kernel panic: page mapping still set, kernel BUG at page_alloc.c:122
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-12 11:02 EDT by Kaj J. Niemi
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-26 13:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -vv (4.01 KB, text/plain)
2003-07-12 11:08 EDT, Kaj J. Niemi
no flags Details
Output of lsmod (1019 bytes, text/plain)
2003-07-12 11:09 EDT, Kaj J. Niemi
no flags Details
Output of dmesg (8.18 KB, text/plain)
2003-07-12 11:12 EDT, Kaj J. Niemi
no flags Details

  None (edit)
Description Kaj J. Niemi 2003-07-12 11:03:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Server had the following stored in the syslog a moment before it crashed, load
also rocketed (1 min avg 0.2 usually, at time of crash 36+) although no process
was doing anything special... The info below is the same as was printed on the
console :)

Jul 12 16:16:04 a2 kernel:  <2>Page has mapping still set. This is a serious
situation. However if you
Jul 12 16:16:04 a2 kernel: are using the NVidia binary only module please report
this bug to
Jul 12 16:16:04 a2 kernel: NVidia and not to the linux kernel mailinglist.
Jul 12 16:16:04 a2 kernel: ------------[ cut here ]------------
Jul 12 16:16:04 a2 kernel: kernel BUG at page_alloc.c:122!
Jul 12 16:16:04 a2 kernel: invalid operand: 0000
Jul 12 16:16:04 a2 kernel: ipt_REDIRECT iptable_nat ip_conntrack iptable_filter
ip_tables lp parport sd_mod scsi_mod ide-cd cdrom 8139too mii microcode ohci1394
ieee1394 loop lvm-mod ex
Jul 12 16:16:04 a2 kernel: CPU:    0
Jul 12 16:16:04 a2 kernel: EIP:    0060:[__free_pages_ok+803/832]    Not tainted
Jul 12 16:16:04 a2 kernel: EIP:    0060:[<c013e6e3>]    Not tainted
Jul 12 16:16:04 a2 kernel: EFLAGS: 00010286
Jul 12 16:16:04 a2 kernel:
Jul 12 16:16:04 a2 kernel: EIP is at __free_pages_ok [kernel] 0x323 (2.4.20-13.9)
Jul 12 16:16:04 a2 kernel: eax: 00000033   ebx: c10d1508   ecx: 00000001   edx:
ca26e000
Jul 12 16:16:04 a2 kernel: esi: c3c565a8   edi: 00000000   ebp: 00000000   esp:
c1dfff60
Jul 12 16:16:04 a2 kernel: ds: 0068   es: 0068   ss: 0068
Jul 12 16:16:04 a2 kernel: Process kswapd (pid: 5, stackpage=c1dff000)
Jul 12 16:16:04 a2 kernel: Stack: c02615e0 00000292 00000001 00000286 f5a4c328
f5a4c328 f5a4c328 c10d1508
Jul 12 16:16:04 a2 kernel:        c014b7ce f5a4c328 c10d1508 c10d1524 000001d0
c030fdb4 c013bf74 c10d1508
Jul 12 16:16:04 a2 kernel:        000001d0 00000001 00000030 c030fb80 0000000f
c013cd0c c030fb80 000001d0
Jul 12 16:16:04 a2 kernel: Call Trace:   [try_to_free_buffers+142/272]
try_to_free_buffers [kernel] 0x8e (0xc1dfff80))
Jul 12 16:16:04 a2 kernel: Call Trace:   [<c014b7ce>] try_to_free_buffers
[kernel] 0x8e (0xc1dfff80))
Jul 12 16:16:04 a2 kernel: [launder_page+980/1520] launder_page [kernel] 0x3d4
(0xc1dfff98))
Jul 12 16:16:04 a2 kernel: [<c013bf74>] launder_page [kernel] 0x3d4 (0xc1dfff98))
Jul 12 16:16:04 a2 kernel: [rebalance_dirty_zone+92/160] rebalance_dirty_zone
[kernel] 0x5c (0xc1dfffb4))
Jul 12 16:16:04 a2 kernel: [<c013cd0c>] rebalance_dirty_zone [kernel] 0x5c
(0xc1dfffb4))
Jul 12 16:16:04 a2 kernel: [kswapd+348/464] kswapd [kernel] 0x15c (0xc1dfffd4))
Jul 12 16:16:04 a2 kernel: [<c013d32c>] kswapd [kernel] 0x15c (0xc1dfffd4))
Jul 12 16:16:04 a2 kernel: [kswapd+0/464] kswapd [kernel] 0x0 (0xc1dfffe4))
Jul 12 16:16:04 a2 kernel: [<c013d1d0>] kswapd [kernel] 0x0 (0xc1dfffe4))
Jul 12 16:16:04 a2 kernel: [kernel_thread_helper+5/24] kernel_thread_helper
[kernel] 0x5 (0xc1dffff0))
Jul 12 16:16:04 a2 kernel: [<c010742d>] kernel_thread_helper [kernel] 0x5
(0xc1dffff0))
Jul 12 16:16:04 a2 kernel:
Jul 12 16:16:04 a2 kernel:
Jul 12 16:16:04 a2 kernel: Code: 0f 0b 7a 00 2a 0e 26 c0 e9 1b fd ff ff 0f 0b 69
00 2a 0e 26



Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Didn't try

Steps to Reproduce:
1. No idea
2.
3.
    

Additional info:
Comment 1 Kaj J. Niemi 2003-07-12 11:08:53 EDT
Created attachment 92894 [details]
Output of lspci -vv
Comment 2 Kaj J. Niemi 2003-07-12 11:09:37 EDT
Created attachment 92895 [details]
Output of lsmod
Comment 3 Kaj J. Niemi 2003-07-12 11:12:00 EDT
Created attachment 92896 [details]
Output of dmesg

Dmesg output is from 2.4.20-18.9 not, 2.4.20-13.9 as the server rebooted with
the latest RH9 errata kernel.
Comment 4 Kaj J. Niemi 2003-07-12 11:18:54 EDT
Seems like bug #90610, bug #91986 are sort of related.
Comment 5 Kaj J. Niemi 2003-08-26 13:14:25 EDT
Hasn't happened with -18.9, -19.9 or -20.9 kernels. I'll go ahead and resolve as
WORKSFORME.


Note You need to log in before you can comment on or make changes to this bug.